// HyperMD, copyright (c) by laobubu
// Distributed under an MIT license: http://laobubu.net/HyperMD/LICENSE
//
// POWERPACK for "addon/hover"
//
// Render tooltip Markdown to HTML, with marked
//
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
define(["require", "exports", "../addon/hover", "marked"], function (require, exports, hover_1, marked) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    marked = __importStar(marked);
    if (typeof marked === "function" || typeof marked === "object") {
        // Use marked to render Hover tooltip content
        hover_1.defaultOption.convertor = function (footnote, text) {
            if (!text)
                return null;
            return marked(text);
        };
    }
    else {
        console.error("[HyperMD] PowerPack hover-with-marked loaded, but marked not found.");
    }
});
//# sourceMappingURL=hover-with-marked.js.map